package log

import (
    "github.com/gin-gonic/gin"
    "github.com/perfect-panel/server/internal/logic/admin/log"
    "github.com/perfect-panel/server/internal/svc"
    "github.com/perfect-panel/server/pkg/result"
)

func GetErrorLogMessageDetailHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
    return func(c *gin.Context) {
        id := c.Query("id")
        l := log.NewGetErrorLogMessageDetailLogic(c.Request.Context(), svcCtx)
        resp, err := l.GetErrorLogMessageDetail(id)
        result.HttpResult(c, resp, err)
    }
}
